Page 1 of 1

No auto update to 2.5.28

Posted: Sat Oct 24, 2015 1:29 pm
by xgipper
Hi just wondering how long 2.5.28 has been out (very recent perhaps?), and why my 2.5.27 version control panel says it's up to date, and there are no updates via the recommended/default long-term supportu channel.
Cheers

Re: No auto update to 2.5.28

Posted: Sat Oct 24, 2015 2:08 pm
by toivo
2.5.28 was released on 10 December last year. That was the last update for Joomla! 2.5.

If you want to update manually before migrating to 3.x, you can find the links to the downloads here:
https://docs.joomla.org/Joomla_2.5_version_history

Re: No auto update to 2.5.28

Posted: Sat Oct 24, 2015 2:17 pm
by xgipper
toivo wrote:2.5.28 was released on 10 December last year. That was the last update for Joomla! 2.5.

If you want to update manually before migrating to 3.x, you can find the links to the downloads here:
https://docs.joomla.org/Joomla_2.5_version_history
Thanks for your reply.

I would rather update automatically - is there a way to do this from within Joomla please? I never know how to do it using FTP safely.

I don't really want to upgrade this site to 3 but I suppose I'll have to eventually (and then I suppose all my 3 sites to 4 soon). I'm fed up with the short lifespan of the major releases. The functionality of 1.5 largely suited me - and still does in a few cases!

Cheers

Re: No auto update to 2.5.28

Posted: Sat Oct 24, 2015 3:36 pm
by Webdongle
Components >>> Joomla update ... options make sure server is set as Long Term Support.
Extensions >>> extension manager >... purge cache
...The 2.5.28 update should then be seen Components >>> Joomla update .

After updating ... Components >>> Joomla update ... Options Short Term Support Save and Close ... should then Show 3.4.5 available.

Re: No auto update to 2.5.28

Posted: Sat Oct 24, 2015 4:52 pm
by xgipper
Thanks very much - got there, broadly using those tips.

Now at 2.5.28, I have:

"We can't install the upgrade

We can't install the update to 3.4.5 as your host doesn't support the minimum requirements for Joomla 3.4.5 and there is no alternative available. "

So in theory, and just out of inteerest as I'm sure this is documented elsewhere in depth, can you update to 3.4.5 with a one click from the back end of 2.5.x (my host will support the minimum requirements as it does for lots of other sites so I can probably fix that). But presumably the template won't work, just for starters....?

Re: No auto update to 2.5.28

Posted: Sat Oct 24, 2015 5:30 pm
by toivo
Here are the technical requirements for upgrading to 3.x:
https://www.joomla.org/about-joomla/tec ... ments.html

- and the tutorial and the Practical Guide:
https://docs.joomla.org/Joomla_2.5_to_3 ... _Migration
http://forum.joomla.org/viewtopic.php?t=793171

Re: No auto update to 2.5.28

Posted: Sat Oct 24, 2015 5:50 pm
by Webdongle
Suggest you make a backup first. There are several things you need to do (including setting the Template to beez) see http://forum.joomla.org/viewtopic.php?f=710&t=793171 .

Please note that some of the 3rd party extensions that are 2.5 and 3.x compatible
  1. Some of the 3rd party extensions that are 2.5 and 3.x compatible different installation zip files that install different files.
    and
  2. Even when the 3rd party extension uses the same installation zip ... different files are installed depending on the version of Joomla the extension is being installed into.
A. is fairly common and B. not so common ... but both can (sometimes) cause problems.

Re: No auto update to 2.5.28

Posted: Sat Oct 24, 2015 7:01 pm
by xgipper
OK thanks to you both for help.